import request from '@/utils/request'

// 查询列表
export function listDeviceType(query) {
  return request({
    url: '/project/deviceType/list',
    method: 'get',
    params: query
  })
}

// 新增
export function addDeviceType(data) {
  return request({
    url: '/project/deviceType',
    method: 'post',
    data: data
  })
}

// 修改
export function updateDeviceType(data) {
  return request({
    url: '/project/deviceType',
    method: 'put',
    data: data
  })
}

// 删除
export function delDeviceType(addressId) {
  return request({
    url: '/project/deviceType/' + addressId,
    method: 'delete'
  })
}
